Bug 244313 - Review Request: libmatchbox - Matchbox library
Review Request: libmatchbox - Matchbox library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 18:19 EDT by Marco Pesenti Gritti
Modified: 2013-03-13 00:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 18:44:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johnp: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
complient .spec file (2.71 KB, text/plain)
2007-06-19 16:52 EDT, John (J5) Palmieri
no flags Details
Remove % macros in ChangeLog, apparently RPM doesn't like this (2.71 KB, text/plain)
2007-06-19 17:14 EDT, John (J5) Palmieri
no flags Details

  None (edit)
Description Marco Pesenti Gritti 2007-06-14 18:19:22 EDT
Spec URL: <http://dev.laptop.org/~marco/libmatchbox.spec>
SRPM URL: <http://dev.laptop.org/~marco/libmatchbox-1.9-2.src.rpm>
Description: <Matchbox is a base environment for the X Window System running on non-desktop embedded platforms such as handhelds, set-top boxes, kiosks and anything else for which screen space, input mechanisms or system resources are limited.>
Comment 1 Marco Pesenti Gritti 2007-06-19 05:05:32 EDT
Important for OLPC, upping the priority.
Comment 2 John (J5) Palmieri 2007-06-19 15:33:17 EDT
I'll review this
Comment 3 John (J5) Palmieri 2007-06-19 16:52:29 EDT
Created attachment 157417 [details]
complient .spec file

Attached file fixes all problems with the .spec file.

- Fixed License to be LGPL
- Add COPYING license file to %docs
- Fixed Group
- Fixed buildroot
- Added {} braces around % macros
- Removed .la and .a files 
- Own %{_includedir}/libmb directory
- Add dist tag to release
- Add smpflags	flag to make
- Remove use of boken %makeinstall macro
Comment 4 John (J5) Palmieri 2007-06-19 16:53:30 EDT
Review process with attached .spec file

libmatchbox review

      - MUST: rpmlint must be run on every package. The output should be posted
in the review.
Ok
      - MUST: The package must be named according to the Package Naming Guidelines.
Ok
      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption on Package Naming
Guidelines.
Ok
      - MUST: The package must meet the Packaging Guidelines.
Ok
      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.
Ok(GPL)
      - MUST: The License field in the package spec file must match the actual
license.
Ok
      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
Ok
      - MUST: The spec file must be written in American English.
Ok
      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).
Ok
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
Ok
      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
Ok
      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64

Can not test as reviewer does not have access to other platforms.

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.
Ok
      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Ok (no translations present)
      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls
/sbin/ldconfig. An example of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Ok
      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
Ok (package not relocatable)

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard
(http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.
Ok

      - MUST: A package must not contain any duplicate files in the %files listing.
Ok

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.
Ok

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Ok

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.
Ok

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.
Ok

      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
Ok

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
Ok

      - MUST: Header files must be in a -devel package.
Ok

      - MUST: Static libraries must be in a -static package.
Ok (No static libraries)

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
Ok

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
Ok
      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
Ok
      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
Ok
      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.
Ok (no .desktop file)
      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
Ok
      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
Ok
      - MUST: All filenames in rpm packages must be valid UTF-8.
Ok

SHOULD Items:
      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
Ok. Included
     
      - SHOULD: The reviewer should test that the package builds in mock.
Ok

APPROVED
Comment 5 John (J5) Palmieri 2007-06-19 17:14:09 EDT
Created attachment 157418 [details]
Remove % macros in ChangeLog, apparently RPM doesn't like this
Comment 6 Ignacio Vazquez-Abrams 2007-06-19 17:44:45 EDT
You don't need to remove them, just double them up.
Comment 7 Marco Pesenti Gritti 2007-06-19 18:32:39 EDT
New Package CVS Request
=======================
Package Name: libmatchbox
Short Description: Libraries for the Matchbox Desktop
Owners: mpg@redhat.com
Branches: F-7
InitialCC: pg@redhat.com
Comment 8 Jason Tibbitts 2007-06-19 18:47:39 EDT
CVS done.  Note that libmatchbox is already in the distro, orphaned last year. 
I've fixed owners.list and made the F-7 branch, but you may need to clean up the
dead.package files and set ACLs if you want them.

Note You need to log in before you can comment on or make changes to this bug.